#ifndef MODIFIERRECETTE_H
#define MODIFIERRECETTE_H

#include <QtGui>
#include <QtCore>
#include <QtSql>

#include "ui_modifierrecette.h"
#include "recettedialog.h"


class modifierrecette : public QWidget, public Ui::ModifierRecette
{
Q_OBJECT

public:
modifierrecette();
~modifierrecette();
QSqlDatabase m_db1;
QSqlDatabase m_db2;
QSqlTableModel *m_modela;
QSqlTableModel *m_modelfiltre;
//QSqlRecord m_class_record;
//QStringList m_class_ident;

signals:

protected slots:
void modifier();
void effacer();

void rechercher();

};

#endif
